From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rotp/
Date: Tue, 28 Sep 2021 20:52:00 +0000 (UTC) [thread overview]
Message-ID: <1632862304.c643648f6ff3fde7b1f118c0d477305a1acdfdd7.sam@gentoo> (raw)
commit: c643648f6ff3fde7b1f118c0d477305a1acdfdd7
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 28 20:48:32 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Sep 28 20:51:44 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c643648f
dev-ruby/rotp: drop git requirement
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ruby/rotp/rotp-6.2.0.ebuild | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/dev-ruby/rotp/rotp-6.2.0.ebuild b/dev-ruby/rotp/rotp-6.2.0.ebuild
index 8b16fcb7f63..1d586425b66 100644
--- a/dev-ruby/rotp/rotp-6.2.0.ebuild
+++ b/dev-ruby/rotp/rotp-6.2.0.ebuild
@@ -28,4 +28,9 @@ ruby_add_bdepend "
all_ruby_prepare() {
# Remove simplecov
sed -i -e '/simplecov/,/^end/ s:^:#:' spec/spec_helper.rb || die
+ # Don't require git
+ sed -i \
+ -e 's/git ls-files/find/' \
+ -e 's/{test,spec,features}/spec/' \
+ ${RUBY_FAKEGEM_GEMSPEC} || die
}
next reply other threads:[~2021-09-28 20:52 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-09-28 20:52 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-09 6:51 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rotp/ Hans de Graaff
2024-06-01 5:41 Hans de Graaff
2024-02-11 7:26 Hans de Graaff
2023-08-31 5:05 Hans de Graaff
2023-03-27 7:37 Hans de Graaff
2022-12-14 6:53 Hans de Graaff
2022-11-14 6:42 Hans de Graaff
2021-09-28 21:11 Sam James
2021-09-28 20:52 Sam James
2021-09-28 20:52 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1632862304.c643648f6ff3fde7b1f118c0d477305a1acdfdd7.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox